Get a bank account Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/bank-accounts/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • account_name string
    • account_holders string
    • account_number string
    • sort_code string
    • accounts object
      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

GET /api/v2/bank-accounts/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/bank-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "b07f55fc-4e2f-4640-8453-0889e81b9438",
  "created_at": "2026-07-20T09:57:25+01:00",
  "updated_at": "2026-07-20T09:57:25+01:00",
  "account_name": "Savings Account",
  "account_holders": "Mr John A Smith",
  "account_number": "12345678",
  "sort_code": "123456",
  "accounts": {
    "uuid": "a2f4aa70-2daf-452f-957c-f8d9e6ab09a6",
    "created_at": "2026-07-20T09:57:25+01:00",
    "updated_at": "2026-07-20T09:57:25+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "813b1931-7fef-4422-b11f-7c135dd76d88",
      "created_at": "2026-07-20T09:57:30+01:00",
      "updated_at": "2026-07-20T09:57:30+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  }
}